clang 8.0.0

Functions
clang::ento::allocation_state Namespace Reference

## Functions
ProgramStateRef | markReleased (ProgramStateRef State, SymbolRef Sym, const Expr *Origin)
std::unique_ptr< BugReporterVisitor > | getInnerPointerBRVisitor (SymbolRef Sym)
| This function provides an additional visitor that augments the bug report with information relevant to memory errors caused by the misuse of AF_InnerBuffer symbols. More...
const MemRegion * | getContainerObjRegion (ProgramStateRef State, SymbolRef Sym)
| 'Sym' represents a pointer to the inner buffer of a container object. More...

## Function Documentation

## ◆ getContainerObjRegion()

const MemRegion * clang::ento::allocation_state::getContainerObjRegion | ( | ProgramStateRef | State,
|  | SymbolRef | Sym
| ) |  |

'Sym' represents a pointer to the inner buffer of a container object.

This function looks up the memory region of that object in DanglingInternalBufferChecker's program state map.

Definition at line 268 of file InnerPointerChecker.cpp.

References clang::ento::ExplodedNode::getFirstPred(), and clang::ento::ExplodedNode::getState().

Referenced by isReferenceCountingPointerDestructor().

## ◆ getInnerPointerBRVisitor()

std::unique_ptr< BugReporterVisitor > clang::ento::allocation_state::getInnerPointerBRVisitor | ( | SymbolRef | Sym | ) |

This function provides an additional visitor that augments the bug report with information relevant to memory errors caused by the misuse of AF_InnerBuffer symbols.

Definition at line 264 of file InnerPointerChecker.cpp.

## ◆ markReleased()

ProgramStateRef clang::ento::allocation_state::markReleased | ( | ProgramStateRef | State,
|  | SymbolRef | Sym,
|  | const Expr * | Origin
| ) |  |

Definition at line 3081 of file MallocChecker.cpp.

References clang::ento::CheckerManager::getAnalyzerOptions(), clang::AnalyzerOptions::getCheckerBooleanOption(), clang::ento::CheckerManager::getCurrentCheckName(), clang::ento::CheckerManager::registerChecker(), and clang::ento::registerCStringCheckerBasic().